%define srcname twrpdtgen

Name:           python-twrpdtgen
Version:        3.0.0
Release:        1%{?dist}
Summary:        A Python library/script to automatically generate TWRP-compatible device tree from a boot/recovery image
License:        None
URL:            https://github.com/twrpdtgen/twrpdtgen
Source0:        https://pypi.python.org/packages/source/t/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
A Python library/script to automatically generate TWRP-compatible device tree from a boot/recovery image.
It has been confirmed that this script supports images built starting from Android 4.4 up to Android 12.

%package -n     python3-twrpdtgen
Summary:        %{summary}
Group:          Development/Python

%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3-gitpython
Requires:       python3-jinja2
Requires:       python3-sebaubuntu_libs

%description -n python3-twrpdtgen
A Python library/script to automatically generate TWRP-compatible device tree from a boot/recovery image.
It has been confirmed that this script supports images built starting from Android 4.4 up to Android 12.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license twrpdtgen/templates/LICENSE.jinja2
%doc README.md twrpdtgen/templates/README.md.jinja2
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info
